org.eclipse.cdt.core

## Interface IBinaryParser.IBinaryFile

All Superinterfaces:
  org.eclipse.core.runtime.IAdaptable

All Known Subinterfaces:
  IBinaryParser.IBinaryArchive, IBinaryParser.IBinaryExecutable, IBinaryParser.IBinaryObject, IBinaryParser.IBinaryShared

All Known Implementing Classes:
  BinaryFile, BinaryObjectAdapter, CygwinPEBinaryArchive, CygwinPEBinaryArchive64, CygwinPEBinaryExecutable, CygwinPEBinaryExecutable64, CygwinPEBinaryObject, CygwinPEBinaryObject64, CygwinPEBinaryShared, CygwinPEBinaryShared64, ElfBinaryArchive, ElfBinaryExecutable, ElfBinaryObject, ElfBinaryShared, GNUElfBinaryArchive, GNUElfBinaryExecutable, GNUElfBinaryObject, GNUElfBinaryShared, MachOBinaryArchive, MachOBinaryArchive64, MachOBinaryExecutable, MachOBinaryExecutable64, MachOBinaryObject, MachOBinaryObject64, MachOBinaryShared, MachOBinaryShared64, PEBinaryArchive, PEBinaryArchive64, PEBinaryExecutable, PEBinaryExecutable64, PEBinaryObject, PEBinaryObject64, PEBinaryShared, PEBinaryShared64, SOMBinaryArchive, SOMBinaryExecutable, SOMBinaryObject, SOMBinaryShared, XCOFFBinaryArchive, XCOFFBinaryExecutable, XCOFFBinaryObject, XCOFFBinaryShared

Enclosing interface:
  IBinaryParser

    public static interface IBinaryParser.IBinaryFile
    extends org.eclipse.core.runtime.IAdaptable

Represents a binary file for example an ELF executable.

### Field Summary

Fields
`static int` `ARCHIVE` Binary is an archive, IBinaryArchive
`static int` `CORE` Binary is a core file, an IBinaryFile
`static int` `EXECUTABLE` Binary is an executable, can be typecast to IBinaryExectuable
`static int` `OBJECT` Binary is an object, can be safely typecast to IBinaryObject
`static int` `SHARED` Binary is a DLL, can be use as a IBinaryShared

### Method Summary

All Methods Instance Methods Abstract Methods
`IBinaryParser` `getBinaryParser()` Return the binary parser
`InputStream` `getContents()`
`org.eclipse.core.runtime.IPath` `getPath()` Filename of the binary
`int` `getType()` Binary type

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Field Detail

#### OBJECT

    static final int OBJECT

Binary is an object, can be safely typecast to IBinaryObject

See Also:
  Constant Field Values

#### EXECUTABLE

    static final int EXECUTABLE

Binary is an executable, can be typecast to IBinaryExectuable

See Also:
  Constant Field Values

#### SHARED

    static final int SHARED

Binary is a DLL, can be use as a IBinaryShared

See Also:
  Constant Field Values

#### ARCHIVE

    static final int ARCHIVE

Binary is an archive, IBinaryArchive

See Also:
  Constant Field Values

#### CORE

    static final int CORE

Binary is a core file, an IBinaryFile

See Also:
  Constant Field Values

### Method Detail

#### getPath

    org.eclipse.core.runtime.IPath getPath()

Filename of the binary

Returns:
  the path

#### getType

    int getType()

Binary type

Returns:
  the type of the binary

#### getContents

    InputStream getContents()
                     throws IOException

Returns:
  the binary contents.
Throws:
  `IOException`

#### getBinaryParser

    IBinaryParser getBinaryParser()

Return the binary parser